Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:	DOSEMU stands for DOS Emulation, and enables Linux to run DOS programs
Name:		dosemu
Version: 	1.4.0
Release: 	1
License:	GPL
URL:		http://dosemu.sourceforge.net
Group: 		Emulators
Source:		%{name}-%{version}.tgz
Source1:	%{name}-freedos-bin.tgz
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	bison flex SDL-devel libX11-devel libXext-devel
BuildRequires:	libXp-devel slang-devel gpm xorg-x11-font-utils
Requires:	xorg-x11-font-utils

%description 
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386 processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.

%post
cd %_datadir/X11/fonts/misc
cat dosemu-fonts.alias fonts.alias
mkfontdir

%postun
cd %_datadir/X11/fonts/misc
sed -i "/-dosemu-vga-medium-r-normal--/ d" fonts.alias
mkfontdir

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} \
	--with-fdtarball=%{SOURCE1} --with-x 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/%_datadir/X11/fonts/misc
bdftopcf etc/vga.bdf | gzip -c -9 > $RPM_BUILD_ROOT/%_datadir/X11/fonts/misc/vga.pcf.gz
bdftopcf etc/vga11x19.bdf | gzip -c -9 > $RPM_BUILD_ROOT/%_datadir/X11/fonts/misc/vga11x19.pcf.gz
bdftopcf etc/vga-cp866.bdf | gzip -c -9 > $RPM_BUILD_ROOT/%_datadir/X11/fonts/misc/vga-cp866.pcf.gz
bdftopcf etc/vga10x20-cp866.bdf | gzip -c -9 > $RPM_BUILD_ROOT/%_datadir/X11/fonts/misc/vga10x20-cp866.pcf.gz
cp -p etc/dosemu.alias $RPM_BUILD_ROOT/%_datadir/X11/fonts/misc/dosemu-fonts.alias
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_bindir}/xdosemu
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%{_mandir}/man1/xdosemu.1*
%{_mandir}/ru/man1/mkfatimage16.1*
%{_mandir}/ru/man1/dosdebug.1*
%{_mandir}/ru/man1/dosemu.1*
%{_mandir}/ru/man1/dosemu.bin.1*
%{_mandir}/ru/man1/xdosemu.1*
%dir %{_libdir}/dosemu
%{_libdir}/dosemu/libplugin*.so
%dir %{_datadir}/dosemu
%{_datadir}/dosemu/commands
%{_datadir}/dosemu/freedos
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%dir %{_datadir}/doc/dosemu
%doc %{_datadir}/doc/dosemu/COPYING
%doc %{_datadir}/doc/dosemu/COPYING.DOSEMU
%doc %{_datadir}/doc/dosemu/README.bindist
%doc %{_datadir}/doc/dosemu/README.txt
%doc %{_datadir}/doc/dosemu/README-tech.txt
%doc %{_datadir}/doc/dosemu/dosemu-HOWTO.txt
%doc %{_datadir}/doc/dosemu/sound-usage.txt
%doc %{_datadir}/doc/dosemu/announce
%doc %{_datadir}/doc/dosemu/EMUfailure.txt
%doc %{_datadir}/doc/dosemu/NOVELL-HOWTO.txt
%doc %{_datadir}/doc/dosemu/README.gdb
%doc %{_datadir}/doc/dosemu/DANG.txt
%doc %{_datadir}/doc/dosemu/NEWS
%doc %{_datadir}/doc/dosemu/THANKS
%dir %{_sysconfdir}/dosemu
%config(noreplace) %{_sysconfdir}/dosemu/dosemu.conf
%dir %{_sysconfdir}/dosemu/drives
%config(noreplace) %{_sysconfdir}/dosemu/drives/c
%config(noreplace) %{_sysconfdir}/dosemu/dosemu.users
%config(noreplace) %{_sysconfdir}/dosemu/global.conf
%config(noreplace) %{_sysconfdir}/dosemu/drives/d
%_datadir/dosemu/drive_z
%_datadir/X11/fonts/misc/vga*pcf.gz
%_datadir/X11/fonts/misc/dosemu-fonts.alias

%changelog
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Thu Apr 09 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.4-1
- Initial Release
